Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(DirHandle.pm) perl(English.pm) perl(FileHandle.pm) perl(Test/Builder/Module.pm) perl(Test/Builder/Tester.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Test-Regression
Version:        0.06
Release:        alt1_8
Summary:        Test library that can generate outputs and compare against them
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Test-Regression/
Source0:        http://www.cpan.org/modules/by-module/Test/Test-Regression-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Algorithm/Diff.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/Differences.pm)
BuildRequires:  perl(Test/MockObject.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Text/Diff.pm)


Source44: import.info

%description
Using the various Test:: modules you can compare the output of a function
against what you expect. However if the output is complex and changes from
version to version, maintenance of the expected output could be costly.
This module allows one to use the test code to generate the expected
output, so that if the differences with model output are expected, one can
easily refresh the model output.

%prep
%setup -q -n Test-Regression-%{version}

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_8
- update to new release by fcimport

* Fri Dec 21 2012 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_7
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_6
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_4
- fc import

